#version 120

uniform sampler2D texture0;

varying vec2 v_texcoord;
varying vec4 v_color;
varying vec2 v_mask;

void main() {
	vec4 c = texture2D(texture0, v_texcoord.xy) * v_color;

	vec4 finalColor =  vec4(1.0 - c.r, 1.0 - c.g, 1.0 - c.b, c.a) * v_mask.x;
	finalColor.r *= finalColor.a;
	finalColor.g *= finalColor.a;
	finalColor.b *= finalColor.a;
	gl_FragColor = finalColor;
}
